package p.studio.compiler;

import p.studio.compiler.models.FrontendSpec;
import p.studio.utilities.structures.ReadOnlySet;

import java.util.List;

public class PBSDefinitions {
    public static final FrontendSpec PBS = FrontendSpec
            .builder()
            .languageId("pbs")
            .allowedExtensions(ReadOnlySet.from("pbs", "barrel"))
            .sourceRoots(ReadOnlySet.from("src"))
            .entryPointCallableName("frame")
            .stdlibVersions(List.of(FrontendSpec.Stdlib.asDefault(1)))
            .build();
}
